package com.bweb.config.msg;

import com.hai.msg.entity.MsgTopic;
import com.hai.service.HighMerchantStoreAccountService;
import com.hai.service.HighOrderService;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.redis.core.RedisTemplate;
import org.springframework.stereotype.Component;

import javax.annotation.PostConstruct;
import javax.annotation.Resource;

@Component
public class MerStoreAccountChgHandler {

    private static Logger logger = LoggerFactory.getLogger(MerStoreAccountChgHandler.class);

    @Autowired
    private RedisTemplate<String, Object> redisTemplate;

    @Resource
    private HighMerchantStoreAccountService merchantStoreAccountService;

    @Resource
    private HighOrderService orderService;

    @PostConstruct
    public void init() {
        new Thread(() -> {
            {
                //消息处理
                while (true){
                    try {
                        //构建的队列为左进右出
                        Object o = redisTemplate.opsForList().rightPop(MsgTopic.MerStoreAccount.getName());
                        if (o != null) {
                            //处理消息
                            logger.info("消息通道："+o);


                        } else {
                            Thread.sleep(1000);
                        }
                    }catch (Exception e){
                        logger.error("监听订单状态变更错误",e);
                    }
                }
            }
        }).start();
    }
}
